View Issue Details

IDProjectCategoryView StatusLast Update
0003042SOGo Connectorwith external serverpublic2015-01-09 11:29
Reporterrobn Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version31.0.0 
Fixed in Version31.0.1 
Summary0003042: GET request has invalid Accept: MIME type
Description

Against Cyrus IMAP server (deployed at FastMail):

GET /dav/addressbooks/user/robn@fastmail.fm/Default/1b687d93-5000-4d1a-b594-bc81cc4df62d.vcf HTTP/1.0
Accept: text/xml
Connection: close
Accept-charset: utf-8,*;q=0.1
Host: carddav.messagingengine.com
User-agent: Mozilla/5.0 (X11; Linux x86_64; rv:31.0) Gecko/20100101 Icedove/31.3.0 Lightning/3.3.3
Pragma: no-cache
Accept-language: en-US,en;q=0.5
Authorization: Basic ...
Cache-control: no-cache
Accept-encoding: gzip, deflate

HTTP/1.1 406 Not Acceptable
Connection: close
Date: Tue, 30 Dec 2014 03:32:32 GMT
Vary: Accept-Encoding
Content-Length: 0

Client is requesting text/xml, which is incorrect. If it wants vCard, it should use text/vcard. If it wants xCard, it should text/vcard+xml. text/xml is meaningless.

Steps To Reproduce

Attempt to sync against a Cyrus server.

Additional Information

If you want to try FastMail, sign up for a free trial, verify your account, and then sign up for the CardDAV beta. https://www,.fastmail.com/go/carddavbeta.

TagsNo tags attached.

Activities

robn

robn

2015-01-07 19:33

reporter   ~0008020

Fixed in https://github.com/inverse-inc/sogo-connector.tb31/pull/1

ludovic

ludovic

2015-01-09 11:29

administrator   ~0008037

Merge done:

https://github.com/inverse-inc/sogo-connector.tb31/commit/fd5b8865e4ee5e6721e1d0a17aa8e5373cbaada4

v31.0.1 has also been released and is available on http://www.sogo.nu/downloads/frontends.html

Thanks for your contribution!

Issue History

Date Modified Username Field Change
2014-12-29 23:25 robn New Issue
2015-01-07 19:33 robn Note Added: 0008020
2015-01-09 11:29 ludovic Note Added: 0008037
2015-01-09 11:29 ludovic Status new => resolved
2015-01-09 11:29 ludovic Fixed in Version => 31.0.1
2015-01-09 11:29 ludovic Resolution open => fixed
2015-01-09 11:29 ludovic Assigned To => ludovic